<?php


namespace App\Entities\Assistente;

use App\Utils\Builder;

class AssistenteBuilder implements Builder
{
    private $id;
    private $id_profissional;

    public function setId(int $id): AssistenteBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setIdProfissional(int $id_profissional): AssistenteBuilder
    {
        $this->id_profissional = $id_profissional;
        return $this;
    }

    public function build() : Assistente
    {
        $assistente = new Assistente();
        if (isset($this->id)) {
            $assistente->setId($this->id);
        }
        if (isset($this->id_profissional)) {
            $assistente->setIdProfissional($this->id_profissional);
        }
        return $assistente;
    }

}